################################################
#-----------Change May This-Change-------------#
################################################
your_input_file="input.csv"
in_epsg="EPSG:4326"
################################################
your_crs1="EPSG:32630"
your_crs2="EPSG:32631"
your_crs3="EPSG:32632"
your_crs4="EPSG:32633"
your_crs5="EPSG:32634"
################################################
import os
import processing
from qgis.core import *
from qgis.utils import iface
import platform
################################################
userhome = os.path.expanduser('~')
in_path ='file:/' +'C:/gps/'
out_path ='C:/gps/'
################################################
in_all=in_path+your_input_file
f= '{}?type=csv&xField={}&yField={}&zField={}&crs='+ in_epsg
uri = f.format(in_all,  'x','y','z','q','sat')
#(q= GPS quality from PPK RTK correction) (sat= number of satellites)
iface.addVectorLayer(uri, your_input_file, 'delimitedtext')
activelayer = iface.activeLayer()
#################################################
cut_this = "EPSG:"
#################################################
my_layer_name= your_crs1.replace(cut_this, '')
my_memory_layer="memory:"+" XYZ         ( " +your_crs1+" )"
parameter = {'INPUT': iface.activeLayer(), 'TARGET_CRS': your_crs1,'OUTPUT': my_memory_layer}
result = processing.run('native:reprojectlayer', parameter)
QgsProject.instance().addMapLayer(result['OUTPUT'])
activelayer = iface.activeLayer()
out_write= out_path + my_layer_name+"    "+your_input_file
QgsVectorFileWriter.writeAsVectorFormat(activelayer,out_write,"utf-8",driverName = "CSV" , layerOptions = ['GEOMETRY=AS_XYZ'])
#################################################
my_layer_name= your_crs2.replace(cut_this, '')
my_memory_layer="memory:"+" XYZ         ( " +your_crs2+" )"
parameter = {'INPUT': iface.activeLayer(), 'TARGET_CRS': your_crs2,'OUTPUT': my_memory_layer}
result = processing.run('native:reprojectlayer', parameter)
QgsProject.instance().addMapLayer(result['OUTPUT'])
activelayer = iface.activeLayer()
out_write= out_path + my_layer_name+"    "+your_input_file
QgsVectorFileWriter.writeAsVectorFormat(activelayer,out_write,"utf-8",driverName = "CSV" , layerOptions = ['GEOMETRY=AS_XYZ'])
##############################################
my_layer_name= your_crs3.replace(cut_this, '')
my_memory_layer="memory:"+" XYZ         ( " +your_crs3+" )"
parameter = {'INPUT': iface.activeLayer(), 'TARGET_CRS': your_crs3,'OUTPUT': my_memory_layer}
result = processing.run('native:reprojectlayer', parameter)
QgsProject.instance().addMapLayer(result['OUTPUT'])
activelayer = iface.activeLayer()
out_write= out_path + my_layer_name+"    "+your_input_file
QgsVectorFileWriter.writeAsVectorFormat(activelayer,out_write,"utf-8",driverName = "CSV" , layerOptions = ['GEOMETRY=AS_XYZ'])
##############################################
my_layer_name= your_crs4.replace(cut_this, '')
my_memory_layer="memory:"+" XYZ         ( " +your_crs4+" )"
parameter = {'INPUT': iface.activeLayer(), 'TARGET_CRS': your_crs4,'OUTPUT': my_memory_layer}
result = processing.run('native:reprojectlayer', parameter)
QgsProject.instance().addMapLayer(result['OUTPUT'])
activelayer = iface.activeLayer()
out_write= out_path + my_layer_name+"    "+your_input_file
QgsVectorFileWriter.writeAsVectorFormat(activelayer,out_write,"utf-8",driverName = "CSV" , layerOptions = ['GEOMETRY=AS_XYZ'])
##############################################
my_layer_name= your_crs5.replace(cut_this, '')
my_memory_layer="memory:"+" XYZ         ( " +your_crs5+" )"
parameter = {'INPUT': iface.activeLayer(), 'TARGET_CRS': your_crs5,'OUTPUT': my_memory_layer}
result = processing.run('native:reprojectlayer', parameter)
QgsProject.instance().addMapLayer(result['OUTPUT'])
activelayer = iface.activeLayer()
out_write= out_path + my_layer_name+"    "+your_input_file
QgsVectorFileWriter.writeAsVectorFormat(activelayer,out_write,"utf-8",driverName = "CSV" , layerOptions = ['GEOMETRY=AS_XYZ'])
##############################################
#iface.actionExit().trigger()
os._exit(0)
